import bpy
from bpy.app.handlers import persistent

@persistent
def load_handler_for_preferences(_):
    print("Changing Preference Defaults!")
    from bpy import context

    prefs = context.preferences
    prefs.use_preferences_save = False

    view = prefs.view
    view.ui_scale = 1.3
    view.ui_line_width = 'THICK'
    view.show_layout_ui = False
    view.header_align = 'TOP'

    kc = context.window_manager.keyconfigs["blender"]
    kc_prefs = kc.preferences
    if kc_prefs is not None:
        kc_prefs.select_mouse = 'LEFT'
        kc_prefs.spacebar_action = 'TOOL'
        kc_prefs.use_pie_click_drag = False


@persistent
def load_handler_for_startup(_):
    print("Changing Startup Defaults!")

# Add scene related startup scene and data settings here

def register():
    print("Registering to Change Defaults")
    bpy.app.handlers.load_factory_preferences_post.append(load_handler_for_preferences)
    bpy.app.handlers.load_factory_startup_post.append(load_handler_for_startup)

def unregister():
    print("Unregistering to Change Defaults")
    bpy.app.handlers.load_factory_preferences_post.remove(load_handler_for_preferences)
    bpy.app.handlers.load_factory_startup_post.remove(load_handler_for_startup)